Subject: Re: mal_probe crash

From: Roland Dreier <[email-masked]>
Date: Fri, 09 Jan 2009 14:01:45 -0800

> Can you double check that the e1000 isn't copying the PCI resources into
 > a unsigned long before ioremap'ing the result, thus cropping the top
 > bits ?

as far as I can see, e1000 is using pci_ioremap_bar(), which should do
the right thing as long as resource_size_t is the right type (which it
looks like it is on PowerPC 44x).

 - R.